<template>
  <div class="app-container">
      <el-row :gutter="10">
          <el-col :xs="24" :sm="24" :md="12" :lg="24" >
              <el-card class="update-log" style="height: 70px">
                  <el-form ref="elForm" :model="formData"  size="small" label-width="80px" :inline="true">

                      <el-form-item label="工位编号" prop="field101">
                          <el-input v-model="formData.field101" placeholder="请输入单行文本" clearable>
                          </el-input>
                      </el-form-item>
                      <el-form-item label="工位名称" prop="field101">
                          <el-input v-model="formData.field101" placeholder="请输入单行文本" clearable >
                          </el-input>
                      </el-form-item>
                      <el-form-item label="总成编码" prop="field101">
                          <el-input v-model="formData.field101" placeholder="请输入单行文本" clearable >
                          </el-input>
                      </el-form-item>

                      <el-form-item style="float: right">
                          <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">工位设置</el-button>
                      </el-form-item>
                  </el-form>
              </el-card>
          </el-col>
      </el-row>
      <el-row :gutter="10">
        <el-col :xs="24" :sm="24" :md="12" :lg="6" >
          <el-card class="update-log" style="height: 600px">
            <div slot="header" class="clearfix" style="height: 12px">
              <span>当前工件信息  </span>
            </div>
            <div class="body">
              <el-form ref="elForm" :model="formData"  size="medium" label-width="80px" >

                <el-form-item label="总成编号" prop="field101">
                  <el-input v-model="formData.field101" placeholder="请输入单行文本" clearable>
                  </el-input>
                </el-form-item>
                <el-form-item label="工单编号" prop="field101">
                  <el-input v-model="formData.field101" placeholder="请输入单行文本" clearable >
                  </el-input>
                </el-form-item>
                <el-form-item label="物料编号" prop="field101">
                    <el-input v-model="formData.field101" placeholder="请输入单行文本" clearable >
                    </el-input>
                </el-form-item>
                <el-form-item label="产品型号" prop="field101">
                    <el-input v-model="formData.field101" placeholder="请输入单行文本" clearable >
                    </el-input>
                </el-form-item>
                <el-form-item label="单行文本" prop="field101">
                    <el-input v-model="formData.field101" placeholder="请输入单行文本" clearable >
                    </el-input>
                </el-form-item>
                  <hr />
              </el-form>
            </div>
            <el-row>
              <el-col :span="12">
                <button class="circle-btn"></button>
                <span class="relative">工件到位</span>
              </el-col>
              <el-col :span="12">
                <button class="circle-btn"></button>
                <span class="relative">工件到位</span>
              </el-col>
            </el-row>
            <el-row style="margin-top: 20px">
              <el-col :span="12">
                <button class="circle-btn"></button>
                <span class="relative">工件到位</span>
              </el-col>
              <el-col :span="12">
                <button class="circle-btn"></button>
                <span class="relative">工件到位</span>
              </el-col>
            </el-row>
            <el-row style="margin-top: 20px">
              <el-col :span="12">
                <button class="circle-btn"></button>
                <span class="relative">工件到位</span>
              </el-col>
              <el-col :span="12">
                <button class="circle-btn"></button>
                <span class="relative">工件到位</span>
              </el-col>
            </el-row>
<!--            <el-row>-->
<!--              <el-col :span="12">-->
<!--                <el-button class="circle-button"></el-button>-->
<!--&lt;!&ndash;                <span class="relative">工件到位</span>&ndash;&gt;-->
<!--              </el-col>-->
<!--              <el-col :span="12">-->
<!--                <el-button circle style="background-color: #a95812;height: 50px;width: 50px"></el-button>-->
<!--                <span class="relative">工件到位</span>-->
<!--              </el-col>-->
<!--            </el-row>-->
<!--            <el-row style="margin-top: 20px">-->
<!--              <el-col :span="12">-->
<!--                <button class="circle-btn"></button>-->
<!--                <span class="relative">工件到位</span>-->
<!--              </el-col>-->
<!--              <el-col :span="12">-->
<!--                <button class="circle-btn"></button>-->
<!--                <span class="relative">工件到位</span>-->
<!--              </el-col>-->
<!--            </el-row>-->
<!--            <el-row style="margin-top: 20px">-->
<!--              <el-col :span="12">-->
<!--                <button class="circle-btn"></button>-->
<!--                <span class="relative">工件到位</span>-->
<!--              </el-col>-->
<!--              <el-col :span="12">-->
<!--                <button class="circle-btn"></button>-->
<!--                <span class="relative">工件到位</span>-->
<!--              </el-col>-->
<!--            </el-row>-->
          </el-card>
        </el-col>
        <el-col :xs="24" :sm="24" :md="12" :lg="18">
                <el-tabs type="border-card"  style="height: 600px">
                    <el-tab-pane>
                      <span slot="label"> <a class="el-icon-date"></a>首页</span>
                      <el-col :xs="5" :sm="5" :md="5" :lg="9" >
                        <el-table v-loading="loading" >
                          <el-table-column label="序号" align="center" prop="repairIdentification" width="60px"/>
                          <el-table-column label="操作内容" align="center" prop="boxCode"  width="320px"/>
                        </el-table>
                      </el-col>
                      <el-col :xs="5" :sm="5" :md="5" :lg="15" >
                        <el-row style="height: 520px">
                          <el-image style="height: 100%;width: 100%" :src="src"></el-image>
                        </el-row>
                      </el-col>
                    </el-tab-pane>
                    <el-tab-pane>
                        <span slot="label"> <b class="el-icon-date"></b>物料BOM</span>
                        <el-empty >
                            <span slot="description">暂无数据</span>
                        </el-empty>
                    </el-tab-pane>
                    <el-tab-pane>
                        <span slot="label"> <c class="el-icon-date"></c>采集清单</span>
                        <el-empty >
                            <span slot="description">暂无数据</span>
                        </el-empty>
                    </el-tab-pane>
                    <el-tab-pane>
                        <span slot="label"> <d class="el-icon-date"></d>安灯状态</span>
                        <el-empty >
                            <span slot="description">暂无数据</span>
                        </el-empty>
                    </el-tab-pane>
                    <el-tab-pane>
                        <span slot="label"> <e class="el-icon-date"></e>工艺配方</span>
                        <el-empty >
                            <span slot="description">暂无数据</span>
                        </el-empty>
                    </el-tab-pane>
                </el-tabs>
        </el-col>
      </el-row>




  </div>
</template>
<script>
export default {
  components: {},
  props: [],
  data() {
    return {
      formData: {
        field101: undefined,
      },
      rules: {
        field101: [{
          required: true,
          message: '请输入单行文本',
          trigger: 'blur'
        }],
      },
    }
  },
  computed: {},
  watch: {},
  created() {},
  mounted() {},
  methods: {}
}

</script>
<style>
hr {
    margin-top: 20px;
    margin-bottom: 20px;
    border: 0;
    border-top: 1px solid #eee;
}
blockquote {
    padding: 10px 20px;
    margin: 0 0 20px;
    border-left: 5px solid #eee;
}
.circle-btn {
  border: none;
  width: 30px; /* 根据需求调整按钮大小 */
  height: 30px;
  border-radius: 50%; /* 将边框变成圆角 */
  background-color: #e31116;
}
.relative{
  position: relative;
  left: 2px;
  bottom: 7px;
}
.circle-button {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: #e31116;

}
</style>
